#-- start of make_header -----------------

#====================================
#  Document install_geometry
#
#   Generated Thu Jan 29 10:33:44 2015  by fthomas
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_install_geometry_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_install_geometry_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_install_geometry

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_geometry = $(AtlantisJava_tag)_install_geometry.make
cmt_local_tagfile_install_geometry = $(bin)$(AtlantisJava_tag)_install_geometry.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_install_geometry = $(AtlantisJava_tag).make
cmt_local_tagfile_install_geometry = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_install_geometry)
#-include $(cmt_local_tagfile_install_geometry)

ifdef cmt_install_geometry_has_target_tag

cmt_final_setup_install_geometry = $(bin)setup_install_geometry.make
cmt_dependencies_in_install_geometry = $(bin)dependencies_install_geometry.in
#cmt_final_setup_install_geometry = $(bin)AtlantisJava_install_geometrysetup.make
cmt_local_install_geometry_makefile = $(bin)install_geometry.make

else

cmt_final_setup_install_geometry = $(bin)setup.make
cmt_dependencies_in_install_geometry = $(bin)dependencies.in
#cmt_final_setup_install_geometry = $(bin)AtlantisJavasetup.make
cmt_local_install_geometry_makefile = $(bin)install_geometry.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#install_geometry :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'install_geometry'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = install_geometry/
#install_geometry::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------


ifeq ($(INSTALLAREA),)
installarea = $(CMTINSTALLAREA)
else
ifeq ($(findstring `,$(INSTALLAREA)),`)
installarea = $(shell $(subst `,, $(INSTALLAREA)))
else
installarea = $(INSTALLAREA)
endif
endif

install_dir = ${installarea}/share/AtlantisJava/geometry

install_geometry :: install_geometryinstall ;

install :: install_geometryinstall ;

install_geometryclean :: install_geometryuninstall

uninstall :: install_geometryuninstall


# This is to avoid error in case there are no files to install
# Ideally, the fragment should not be used without files to install,
# and this line should be dropped then
install_geometryinstall :: ;

AMuonGeometry_xml_dependencies = ../geometry/AMuonGeometry.xml
AGeometry_xml_dependencies = ../geometry/AGeometry.xml


install_geometryinstall :: ${install_dir}/AMuonGeometry.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/AMuonGeometry.xml :: ../geometry/AMuonGeometry.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/AMuonGeometry.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "AMuonGeometry.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/AMuonGeometry.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/AMuonGeometry.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "AMuonGeometry.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi


install_geometryinstall :: ${install_dir}/AGeometry.xml
	@if test ! "${installarea}" = ""; then\
	  echo "installation done"; \
	fi

${install_dir}/AGeometry.xml :: ../geometry/AGeometry.xml
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/AGeometry.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$${d}" "AGeometry.xml" "$(install_dir)" "cp -R -H" "$($(package)_cmtpath)"; \
	fi

../geometry/AGeometry.xml : ;

install_geometryuninstall ::
	@if test ! "${installarea}" = ""; then \
	  d=`dirname ../geometry/AGeometry.xml`; \
	  d=`(cd $${d}; pwd)`; \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$${d}" "AGeometry.xml" "$(install_dir)" "$($(package)_cmtpath)"; \
	fi
#-- start of cleanup_header --------------

clean :: install_geometryclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(install_geometry.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

install_geometryclean ::
#-- end of cleanup_header ---------------
