#-- start of make_header -----------------

#====================================
#  Document check_install_events
#
#   Generated Tue Jan 27 15:00:40 2015  by fthomas
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_check_install_events_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_check_install_events_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_check_install_events

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_check_install_events = $(AtlantisJava_tag)_check_install_events.make
cmt_local_tagfile_check_install_events = $(bin)$(AtlantisJava_tag)_check_install_events.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_check_install_events = $(AtlantisJava_tag).make
cmt_local_tagfile_check_install_events = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_check_install_events)
#-include $(cmt_local_tagfile_check_install_events)

ifdef cmt_check_install_events_has_target_tag

cmt_final_setup_check_install_events = $(bin)setup_check_install_events.make
cmt_dependencies_in_check_install_events = $(bin)dependencies_check_install_events.in
#cmt_final_setup_check_install_events = $(bin)AtlantisJava_check_install_eventssetup.make
cmt_local_check_install_events_makefile = $(bin)check_install_events.make

else

cmt_final_setup_check_install_events = $(bin)setup.make
cmt_dependencies_in_check_install_events = $(bin)dependencies.in
#cmt_final_setup_check_install_events = $(bin)AtlantisJavasetup.make
cmt_local_check_install_events_makefile = $(bin)check_install_events.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#check_install_events :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'check_install_events'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = check_install_events/
#check_install_events::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
#-- start of cmt_action_runner_header ---------------

ifdef ONCE
check_install_events_once = 1
endif

ifdef check_install_events_once

check_install_eventsactionstamp = $(bin)check_install_events.actionstamp
#check_install_eventsactionstamp = check_install_events.actionstamp

check_install_events :: $(check_install_eventsactionstamp)
	$(echo) "check_install_events ok"
#	@echo check_install_events ok

#$(check_install_eventsactionstamp) :: $(check_install_events_dependencies)
$(check_install_eventsactionstamp) ::
	$(silent) /cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc5-gcc43-opt/17.2.4/AtlasCore/17.2.4/External/ExternalPolicy/cmt/atlas_check_installations.sh -files='  -s=../events event.dtd *.zip  ' -installdir=/afs/cern.ch/user/f/fthomas/Atlantis/InstallArea/share/AtlantisJava/events -level=
	$(silent) cat /dev/null > $(check_install_eventsactionstamp)
#	@echo ok > $(check_install_eventsactionstamp)

check_install_eventsclean ::
	$(cleanup_silent) /bin/rm -f $(check_install_eventsactionstamp)

else

#check_install_events :: $(check_install_events_dependencies)
check_install_events ::
	$(silent) /cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc5-gcc43-opt/17.2.4/AtlasCore/17.2.4/External/ExternalPolicy/cmt/atlas_check_installations.sh -files='  -s=../events event.dtd *.zip  ' -installdir=/afs/cern.ch/user/f/fthomas/Atlantis/InstallArea/share/AtlantisJava/events -level=

endif

install ::
uninstall ::

#-- end of cmt_action_runner_header -----------------
#-- start of cleanup_header --------------

clean :: check_install_eventsclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(check_install_events.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

check_install_eventsclean ::
#-- end of cleanup_header ---------------
