#-- start of make_header -----------------

#====================================
#  Document check_install_configuration
#
#   Generated Fri Nov 14 15:54:09 2014  by fthomas
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_check_install_configuration_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_check_install_configuration_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_check_install_configuration

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_check_install_configuration = $(AtlantisJava_tag)_check_install_configuration.make
cmt_local_tagfile_check_install_configuration = $(bin)$(AtlantisJava_tag)_check_install_configuration.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_check_install_configuration = $(AtlantisJava_tag).make
cmt_local_tagfile_check_install_configuration = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_check_install_configuration)
#-include $(cmt_local_tagfile_check_install_configuration)

ifdef cmt_check_install_configuration_has_target_tag

cmt_final_setup_check_install_configuration = $(bin)setup_check_install_configuration.make
cmt_dependencies_in_check_install_configuration = $(bin)dependencies_check_install_configuration.in
#cmt_final_setup_check_install_configuration = $(bin)AtlantisJava_check_install_configurationsetup.make
cmt_local_check_install_configuration_makefile = $(bin)check_install_configuration.make

else

cmt_final_setup_check_install_configuration = $(bin)setup.make
cmt_dependencies_in_check_install_configuration = $(bin)dependencies.in
#cmt_final_setup_check_install_configuration = $(bin)AtlantisJavasetup.make
cmt_local_check_install_configuration_makefile = $(bin)check_install_configuration.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#check_install_configuration :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'check_install_configuration'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = check_install_configuration/
#check_install_configuration::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
#-- start of cmt_action_runner_header ---------------

ifdef ONCE
check_install_configuration_once = 1
endif

ifdef check_install_configuration_once

check_install_configurationactionstamp = $(bin)check_install_configuration.actionstamp
#check_install_configurationactionstamp = check_install_configuration.actionstamp

check_install_configuration :: $(check_install_configurationactionstamp)
	$(echo) "check_install_configuration ok"
#	@echo check_install_configuration ok

#$(check_install_configurationactionstamp) :: $(check_install_configuration_dependencies)
$(check_install_configurationactionstamp) ::
	$(silent) /cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc6-gcc47-opt/19.0.1/AtlasCore/19.0.1/External/ExternalPolicy/cmt/atlas_check_installations.sh -files='  -s=../configuration *.xml *.csv PSProlog.txt  ' -installdir=/afs/cern.ch/user/f/fthomas/Atlantis/InstallArea/share/AtlantisJava/configuration -level=
	$(silent) cat /dev/null > $(check_install_configurationactionstamp)
#	@echo ok > $(check_install_configurationactionstamp)

check_install_configurationclean ::
	$(cleanup_silent) /bin/rm -f $(check_install_configurationactionstamp)

else

#check_install_configuration :: $(check_install_configuration_dependencies)
check_install_configuration ::
	$(silent) /cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc6-gcc47-opt/19.0.1/AtlasCore/19.0.1/External/ExternalPolicy/cmt/atlas_check_installations.sh -files='  -s=../configuration *.xml *.csv PSProlog.txt  ' -installdir=/afs/cern.ch/user/f/fthomas/Atlantis/InstallArea/share/AtlantisJava/configuration -level=

endif

install ::
uninstall ::

#-- end of cmt_action_runner_header -----------------
#-- start of cleanup_header --------------

clean :: check_install_configurationclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(check_install_configuration.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

check_install_configurationclean ::
#-- end of cleanup_header ---------------
