#-- start of make_header -----------------

#====================================
#  Document check_install_jar
#
#   Generated Thu Jan 29 10:33:43 2015  by fthomas
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_check_install_jar_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_check_install_jar_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_check_install_jar

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_check_install_jar = $(AtlantisJava_tag)_check_install_jar.make
cmt_local_tagfile_check_install_jar = $(bin)$(AtlantisJava_tag)_check_install_jar.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_check_install_jar = $(AtlantisJava_tag).make
cmt_local_tagfile_check_install_jar = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_check_install_jar)
#-include $(cmt_local_tagfile_check_install_jar)

ifdef cmt_check_install_jar_has_target_tag

cmt_final_setup_check_install_jar = $(bin)setup_check_install_jar.make
cmt_dependencies_in_check_install_jar = $(bin)dependencies_check_install_jar.in
#cmt_final_setup_check_install_jar = $(bin)AtlantisJava_check_install_jarsetup.make
cmt_local_check_install_jar_makefile = $(bin)check_install_jar.make

else

cmt_final_setup_check_install_jar = $(bin)setup.make
cmt_dependencies_in_check_install_jar = $(bin)dependencies.in
#cmt_final_setup_check_install_jar = $(bin)AtlantisJavasetup.make
cmt_local_check_install_jar_makefile = $(bin)check_install_jar.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#check_install_jar :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'check_install_jar'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = check_install_jar/
#check_install_jar::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
#-- start of cmt_action_runner_header ---------------

ifdef ONCE
check_install_jar_once = 1
endif

ifdef check_install_jar_once

check_install_jaractionstamp = $(bin)check_install_jar.actionstamp
#check_install_jaractionstamp = check_install_jar.actionstamp

check_install_jar :: $(check_install_jaractionstamp)
	$(echo) "check_install_jar ok"
#	@echo check_install_jar ok

#$(check_install_jaractionstamp) :: $(check_install_jar_dependencies)
$(check_install_jaractionstamp) ::
	$(silent) /cvmfs/atlas.cern.ch/repo/sw/software/i686-slc5-gcc43-opt/17.2.4/AtlasCore/17.2.4/External/ExternalPolicy/cmt/atlas_check_installations.sh -files='  ../atlantis.jar  ' -installdir=/afs/cern.ch/user/f/fthomas/Atlantis/InstallArea/share/AtlantisJava -level=
	$(silent) cat /dev/null > $(check_install_jaractionstamp)
#	@echo ok > $(check_install_jaractionstamp)

check_install_jarclean ::
	$(cleanup_silent) /bin/rm -f $(check_install_jaractionstamp)

else

#check_install_jar :: $(check_install_jar_dependencies)
check_install_jar ::
	$(silent) /cvmfs/atlas.cern.ch/repo/sw/software/i686-slc5-gcc43-opt/17.2.4/AtlasCore/17.2.4/External/ExternalPolicy/cmt/atlas_check_installations.sh -files='  ../atlantis.jar  ' -installdir=/afs/cern.ch/user/f/fthomas/Atlantis/InstallArea/share/AtlantisJava -level=

endif

install ::
uninstall ::

#-- end of cmt_action_runner_header -----------------
#-- start of cleanup_header --------------

clean :: check_install_jarclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(check_install_jar.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

check_install_jarclean ::
#-- end of cleanup_header ---------------
