#-- start of make_header -----------------

#====================================
#  Document check_install_help
#
#   Generated Tue Jan 27 15:00:40 2015  by fthomas
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_check_install_help_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_check_install_help_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_check_install_help

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_check_install_help = $(AtlantisJava_tag)_check_install_help.make
cmt_local_tagfile_check_install_help = $(bin)$(AtlantisJava_tag)_check_install_help.make

else

tags      = $(tag),$(CMTEXTRATAGS)

AtlantisJava_tag = $(tag)

#cmt_local_tagfile_check_install_help = $(AtlantisJava_tag).make
cmt_local_tagfile_check_install_help = $(bin)$(AtlantisJava_tag).make

endif

include $(cmt_local_tagfile_check_install_help)
#-include $(cmt_local_tagfile_check_install_help)

ifdef cmt_check_install_help_has_target_tag

cmt_final_setup_check_install_help = $(bin)setup_check_install_help.make
cmt_dependencies_in_check_install_help = $(bin)dependencies_check_install_help.in
#cmt_final_setup_check_install_help = $(bin)AtlantisJava_check_install_helpsetup.make
cmt_local_check_install_help_makefile = $(bin)check_install_help.make

else

cmt_final_setup_check_install_help = $(bin)setup.make
cmt_dependencies_in_check_install_help = $(bin)dependencies.in
#cmt_final_setup_check_install_help = $(bin)AtlantisJavasetup.make
cmt_local_check_install_help_makefile = $(bin)check_install_help.make

endif

#cmt_final_setup = $(bin)setup.make
#cmt_final_setup = $(bin)AtlantisJavasetup.make

#check_install_help :: ;

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	$(echo) 'check_install_help'

binobj = 
ifdef STRUCTURED_OUTPUT
binobj = check_install_help/
#check_install_help::
#	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
#	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
endif

${CMTROOT}/src/Makefile.core : ;
ifdef use_requirements
$(use_requirements) : ;
endif

#-- end of make_header ------------------
#-- start of cmt_action_runner_header ---------------

ifdef ONCE
check_install_help_once = 1
endif

ifdef check_install_help_once

check_install_helpactionstamp = $(bin)check_install_help.actionstamp
#check_install_helpactionstamp = check_install_help.actionstamp

check_install_help :: $(check_install_helpactionstamp)
	$(echo) "check_install_help ok"
#	@echo check_install_help ok

#$(check_install_helpactionstamp) :: $(check_install_help_dependencies)
$(check_install_helpactionstamp) ::
	$(silent) /cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc5-gcc43-opt/17.2.4/AtlasCore/17.2.4/External/ExternalPolicy/cmt/atlas_check_installations.sh -files='  -s=../help help.jar online.xml *.png  ' -installdir=/afs/cern.ch/user/f/fthomas/Atlantis/InstallArea/share/AtlantisJava/help -level=
	$(silent) cat /dev/null > $(check_install_helpactionstamp)
#	@echo ok > $(check_install_helpactionstamp)

check_install_helpclean ::
	$(cleanup_silent) /bin/rm -f $(check_install_helpactionstamp)

else

#check_install_help :: $(check_install_help_dependencies)
check_install_help ::
	$(silent) /cvmfs/atlas.cern.ch/repo/sw/software/x86_64-slc5-gcc43-opt/17.2.4/AtlasCore/17.2.4/External/ExternalPolicy/cmt/atlas_check_installations.sh -files='  -s=../help help.jar online.xml *.png  ' -installdir=/afs/cern.ch/user/f/fthomas/Atlantis/InstallArea/share/AtlantisJava/help -level=

endif

install ::
uninstall ::

#-- end of cmt_action_runner_header -----------------
#-- start of cleanup_header --------------

clean :: check_install_helpclean ;
#	@cd .

ifndef PEDANTIC
.DEFAULT::
	$(echo) "(check_install_help.make) $@: No rule for such target" >&2
else
.DEFAULT::
	$(error PEDANTIC: $@: No rule for such target)
endif

check_install_helpclean ::
#-- end of cleanup_header ---------------
